Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control
Interface DynamicTransformationControl

    public interface DynamicTransformationControl

Nested Class Summary
`static interface` | `DynamicTransformationControl.Ddtf` Specifies the XQuery functions that can be used by the queries and the type of encoding used a design time.
`static interface` | `DynamicTransformationControl.Xquery` Specifies the XQuery files and their attributes for XQuery transformations at run time.
`static interface` | `DynamicTransformationControl.Xslt` Specifies the XSL file to be used for the transformation.

Method Summary
`org.apache.xmlbeans.XmlObject` | `convertBytesToXML(byte[] data, String mflUrl)` Executes MFL Transformation
`org.apache.xmlbeans.XmlObject` | `convertInputStreamToXML(InputStream iStream, String mflUrl)` Executes MFL Transformation
`org.apache.xmlbeans.XmlObject` | `convertRawDataToXML(RawData rawData, String mflUrl)` Executes MFL Transformation
`byte[]` | `convertXmlToBytes(org.apache.xmlbeans.XmlObject xmlObject, String mflUrl)` Executes MFL Translation from a Xml Data to Non-XML data
`RawData` | `convertXmlToRawData(org.apache.xmlbeans.XmlObject xmlObject, String mflUrl)` Executes MFL Translation from a Xml Data to Non-XML data
`weblogic.xml.stream.XMLInputStream` | `mflstreamBinaryToXML(InputStream istream, String mflUrl)` Executes a MFL which takes a Binary stream and the Mfl Url and return a Stream as output
`InputStream` | `mflstreamXmlToBinary(weblogic.xml.stream.XMLInputStream istream, String mflUrl)` Executes a MFL which takes a XML stream and the Mfl Url and return a Binary InputStream as output
`weblogic.xml.stream.XMLInputStream` | `performStreamingXQuery(String xQueryName, HashMap streams)` Executes a Xquery which takes a streams as input in the form of a hashMap and return a Stream as output
`org.apache.xmlbeans.XmlObject[]` | `performXQuery(String xQueryName, HashMap inputList)` Executes a Xquery which takes unknown arguments at run time
`org.apache.xmlbeans.XmlObject` | `performXQueryOnXmlObject(String xQueryName, org.apache.xmlbeans.XmlObject inputDoc, String varName)` Executes a Xquery which takes a XmlObject in and XmlObject Out
`org.apache.xmlbeans.XmlObject` | `performXSLT(String xslTemplate, org.apache.xmlbeans.XmlObject source, HashMap inputList)` Executes a XSLT Transformation which takes unknown primitive java arguments at run time
`boolean` | `unregisterMFL(String url)` Unregisters an MFL URL from cache.

Method Detail

### performXQuery

    org.apache.xmlbeans.XmlObject[] performXQuery(String xQueryName,
                                                  HashMap inputList)
                                                  throws javax.resource.ResourceException

  Executes a Xquery which takes unknown arguments at run time

  Parameters:
    `xQueryName` - Xquery String
    `inputList` - HashMap which takes a map of variable names and the Input documments
  Returns:
    xmlObject the xmlObject out
  Throws:
    `javax.resource.ResourceException` - if any exception occurs while get

### performStreamingXQuery

    weblogic.xml.stream.XMLInputStream performStreamingXQuery(String xQueryName,
                                                              HashMap streams)
                                                              throws javax.resource.ResourceException

  Executes a Xquery which takes a streams as input in the form of a hashMap and return a Stream as output

  Parameters:
    `xQueryName` - Xquery String
    `streams` - HashMap containing the streams with name as the xq variable name and value as the stream
  Returns:
    XmlInputStream the xmlstream which returns the output document
  Throws:
    `javax.resource.ResourceException` - if any exception occurs while get

### performXQueryOnXmlObject

    org.apache.xmlbeans.XmlObject performXQueryOnXmlObject(String xQueryName,
                                                           org.apache.xmlbeans.XmlObject inputDoc,
                                                           String varName)
                                                           throws javax.resource.ResourceException

  Executes a Xquery which takes a XmlObject in and XmlObject Out

  Parameters:
    `xQueryName` - Xquery String
    `inputDoc` - the xmlObject Document
    `varName` - the variable named used for the xmlDocument in the Xquery
  Returns:
    xmlObject the xmlObject out
  Throws:
    `javax.resource.ResourceException` - if any exception occurs while get

### performXSLT

    org.apache.xmlbeans.XmlObject performXSLT(String xslTemplate,
                                              org.apache.xmlbeans.XmlObject source,
                                              HashMap inputList)
                                              throws javax.resource.ResourceException

  Executes a XSLT Transformation which takes unknown primitive java arguments at run time

  Parameters:
    `xslTemplate` - URI string which points to the Xsl Template file
    `source` - the XML file which needs to be transformed
    `inputList` - HashMap which takes a map of variable names and the objects
  Returns:
    xmlObject the xmlObject out
  Throws:
    `javax.resource.ResourceException` - if any exception occurs while get

### convertXmlToRawData

    RawData convertXmlToRawData(org.apache.xmlbeans.XmlObject xmlObject,
                                String mflUrl)
                                throws javax.resource.ResourceException

  Executes MFL Translation from a Xml Data to Non-XML data

  Parameters:
    `xmlObject` - XmlObject
    `mflUrl` - The url string which points to the mfl file
  Returns:
    RawData which is the Non-XML Data
  Throws:
    `javax.resource.ResourceException` - if any exception occurs while get

### convertXmlToBytes

    byte[] convertXmlToBytes(org.apache.xmlbeans.XmlObject xmlObject,
                             String mflUrl)
                             throws javax.resource.ResourceException

  Executes MFL Translation from a Xml Data to Non-XML data

  Parameters:
    `xmlObject` - XmlObject
    `mflUrl` - The url string which points to the mfl file
  Returns:
    byte[] which is the Non-XML Data
  Throws:
    `javax.resource.ResourceException` - if any exception occurs while get

### convertInputStreamToXML

    org.apache.xmlbeans.XmlObject convertInputStreamToXML(InputStream iStream,
                                                          String mflUrl)
                                                          throws javax.resource.ResourceException

  Executes MFL Transformation

  Parameters:
    `iStream` - InputStream the inputStream containing the binary data
    `mflUrl` - the url pointing to the URL file
  Returns:
    xmlObject the xmlObject out
  Throws:
    `javax.resource.ResourceException` - if any exception occurs while get

### convertRawDataToXML

    org.apache.xmlbeans.XmlObject convertRawDataToXML(RawData rawData,
                                                      String mflUrl)
                                                      throws javax.resource.ResourceException

  Executes MFL Transformation

  Parameters:
    `rawData` - the RawData containing the binary data
    `mflUrl` - the url pointing to the URL file
  Returns:
    xmlObject the xmlObject out
  Throws:
    `javax.resource.ResourceException` - if any exception occurs while get

### convertBytesToXML

    org.apache.xmlbeans.XmlObject convertBytesToXML(byte[] data,
                                                    String mflUrl)
                                                    throws javax.resource.ResourceException

  Executes MFL Transformation

  Parameters:
    `data` - the binary data
    `mflUrl` - the url pointing to the URL file
  Returns:
    xmlObject the xmlObject out
  Throws:
    `javax.resource.ResourceException` - if any exception occurs while get

### mflstreamBinaryToXML

    weblogic.xml.stream.XMLInputStream mflstreamBinaryToXML(InputStream istream,
                                                            String mflUrl)
                                                            throws javax.resource.ResourceException

  Executes a MFL which takes a Binary stream and the Mfl Url and return a Stream as output

  Parameters:
    `mflUrl` - The Mfl Url
    `istream` - The InputStream
  Returns:
    XmlInputStream the xmlstream
  Throws:
    `javax.resource.ResourceException` - if any exception occurs while get

### mflstreamXmlToBinary

    InputStream mflstreamXmlToBinary(weblogic.xml.stream.XMLInputStream istream,
                                     String mflUrl)
                                     throws javax.resource.ResourceException

  Executes a MFL which takes a XML stream and the Mfl Url and return a Binary InputStream as output

  Parameters:
    `mflUrl` - The Mfl Url
    `istream` - The XMLInputStream
  Returns:
    InputStream the output of the transformation
  Throws:
    `javax.resource.ResourceException` - if any exception occurs while get

### unregisterMFL

    boolean unregisterMFL(String url)
                          throws javax.resource.ResourceException

  Unregisters an MFL URL from cache. This method is used to remove MFL URLs that are not going to be used anymore to avoid build up of unused objects in the MFL cache.

  Parameters:
    `url` - - the url of the MFL file
  Returns:
    boolean - true if the URL was removed from the MFL cache, false if otherwise.
  Throws:
    `javax.resource.ResourceException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD